#include<bits/stdc++.h>
#define lli long long
#define endl "\n"
using namespace std;
const lli INF=9999999999999, MAXN=100005;
lli a[MAXN], b[MAXN], N, p2, k[MAXN], ans;
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cin>>N;
    for(lli i=0; i<N; i++){
        cin>>a[i];
    }
    for(lli i=0; i<N; i++){
        cin>>b[i];
        k[b[i]]=i;
    }
    for(lli p1=0; p1<N;){
        p2=k[a[p1]];
        while(a[p1]==b[p2] and p1<N and p2<N){
            p1++;
            p2++;
        }
        ans++;
    }
    cout<<ans<<endl;
    return 0;
}
